require "rails_helper"

module ExcelReports
  module IssuesAndConcernsReports
    RSpec.describe IssuesAndConcernsReport do
      let(:video) { create(:video) }

      subject { described_class.new(video) }

      describe "#to_xls" do
        it "returns xls file" do
          expect(subject.to_xls).not_to be_nil
        end
      end

      describe "#filename" do
        it "return 'video_file-mp4_issues-and-concerns.xlsx'" do
          expect(subject.filename).to eq "video_file-mp4_issues-and-concerns.xlsx"
        end
      end
    end
  end
end
